All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
least-squares.cpp File Reference

Go to the source code of this file.

## Functions

endcode *Final viennacl::matrix_range < VCLMatrixType > | vcl_R (vcl_A, vcl_range, vcl_range)

## Variables

std::cout<< "--- ViennaCL (hybrid implementation) ---" << std::endl;std::vector < ScalarType > | hybrid_betas = viennacl::linalg::inplace_qr(vcl_A)
endcode *compute modified RHS of the minimization | problem
endcode *compute modified RHS of the minimization | vcl_b
endcode *Final | step
viennacl::vector_range < VCLVectorType > | vcl_b2 (vcl_b, vcl_range)

## Function Documentation

endcode* Final viennacl::matrix_range<VCLMatrixType> vcl_R | ( | vcl_A | ,
|  | vcl_range | ,
|  | vcl_range |
| ) |  |

Examples:
  least-squares.cpp.

## Variable Documentation

endcode *compute modified RHS of the minimization hybrid_betas = viennacl::linalg::inplace_qr(vcl_A)

Examples:
  least-squares.cpp, and qr.cpp.

Definition at line 134 of file least-squares.cpp.

endcode* compute modified RHS of the minimization problem

Definition at line 139 of file least-squares.cpp.

endcode* Final step

Definition at line 145 of file least-squares.cpp.

endcode* compute modified RHS of the minimization vcl_b

Examples:
  least-squares.cpp.

Definition at line 139 of file least-squares.cpp.

viennacl::vector_range<VCLVectorType> vcl_b2(vcl_b, vcl_range)

Examples:
  least-squares.cpp.